///////////////////////////////////////////////////////////////////////////////
//                                                                           //
// File:           ConfigDialogs.h                                           //
//                                                                           //
// Functionality:  Configuration dialog diefinition.                         //
//                                                                           //
// Author:         Rolf Meyerhoff (rm@matrix44.de)                           //
//                                                                           //
// Copyright:      (C) 2009 by Rolf Meyerhoff. All rights reserved.          //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////
//                                                                           //
// License:                                                                  //
//                                                                           //
// This library is free software;  you can redistribute it  and/or modify it //
// under the terms of the GNU Lesser  General Public License as published by //
// the Free Software Foundation;  either version 2.1 of the License,  or (at //
// your option) any later version.                                           //
//                                                                           //
// This  library is  distributed in  the hope that  it will  be useful,  but //
// WITHOUT   ANY   WARRANTY;   without   even   the   implied  warranty   of //
// MERCHANTABILITY or FITNESS FOR A  PARTICULAR PURPOSE.  See the GNU Lesser //
// General Public License for more details.                                  //
//                                                                           //
// You should have received a copy of  the GNU Lesser General Public License //
// along with this library;  if not,  write to the Free Software Foundation, //
// Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.              //
///////////////////////////////////////////////////////////////////////////////
#ifndef __CONFIGDIALOGS_H_INCLUDED__
#define __CONFIGDIALOGS_H_INCLUDED__

///////////////////////////////////////////////////////////////////////////////
// CreateConfigDialog()
///////////////////////////////////////////////////////////////////////////////
// Description:  Create a dialog to edit the options of this extension.
// Parameters:   [in] type_string:      The type of surface to configure, this
//                                      is always "CC121" in our case.
//               [in] parent:           Parent window of the dialog.
//               [in] initConfigString: The current configuration.
// Return value: Returns a handle to the newly created window.
// Remarks:      This dialog is embedded into the REAPER configuration dialog.
///////////////////////////////////////////////////////////////////////////////
HWND CreateConfigDialog(const char* type_string, HWND parent, const char* initConfigString);

#endif // #ifndef __CONFIGDIALOGS_H_INCLUDED__
///////////////////////////////// End of File /////////////////////////////////
